AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

interrupt.h File Reference

Go to the source code of this file.

## Macros
Global manipulation of the interrupt flag
The global interrupt flag is maintained in the I bit of the status register (SREG). Handling interrupts frequently requires attention regarding atomic access to objects that could be altered by code running within an interrupt context, see <util/atomic.h>. Frequently, interrupts are being disabled for periods of time in order to perform certain operations without being disturbed; see optim_code_reorder for things to be taken into account with respect to compiler optimizations.
#define | sei()
#define | cli()
Macros for writing interrupt handler functions
#define | ISR(vector, attributes)
#define | SIGNAL(vector)
#define | EMPTY_INTERRUPT(vector)
#define | ISR_ALIAS(vector, target_vector)
#define | reti()
#define | BADISR_vect
ISR attributes
#define | ISR_BLOCK
#define | ISR_NOBLOCK
#define | ISR_NAKED
#define | ISR_ALIASOF(target_vector)

## Detailed Description

@{

Automatically generated by Doxygen 1.8.3.1 on Sat Sep 14 2013.